Bug 852797 - dstat - Inconsistency between man page and help
dstat - Inconsistency between man page and help
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dstat (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 11:47 EDT by Filip Holec
Modified: 2016-04-18 06:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 18:12:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Holec 2012-08-29 11:47:32 EDT
Description of problem:
In help these options are present, but missing in man:
* --filesystem (should be near --fs)
* --diskbits
* --netbits
* -b --bits
* --profile

Moreover, indentation in help should be corrected.

Version-Release number of selected component (if applicable):
dstat-0.7.2-8.fc18.noarch

How reproducible:
Always

Steps to Reproduce:
1. Check man page
2. Check --help option
  
Actual results:
Inconsistent man page/help

Expected results:
Consistent man page/help

Additional info:
Comment 1 Jiri Popelka 2012-09-03 08:54:43 EDT
(In reply to comment #0)
> In help these options are present, but missing in man:
> * --filesystem (should be near --fs)

added to man page

> * --diskbits
> * --netbits
> * -b --bits

I've used upstream fix for this "bits" change and there's been only --bits option (no --diskbits, --netbits or even -b) so I've added only the --bits description to man page.

> * --profile

added to --help
Comment 2 Fedora Update System 2012-09-03 08:56:24 EDT
dstat-0.7.2-9.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dstat-0.7.2-9.fc18
Comment 3 Fedora Update System 2012-09-03 13:20:12 EDT
Package dstat-0.7.2-9.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dstat-0.7.2-9.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13183/dstat-0.7.2-9.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-09-17 18:12:43 EDT
dstat-0.7.2-9.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.